API ReferenceEndpointsAnalytics
Paths after or before one event
AuthorizationBearer <token>
Session token issued by the accounts service (or the legacy /v1/auth routes).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/analytics/flows" \ -H "Content-Type: application/json" \ -d '{ "direction": "after", "end": "2026-09-13T12:30:45Z", "event": "signup", "exclude": [ "heartbeat" ], "start": "2026-08-14T00:00:00Z", "steps": 4, "top_k": 5, "window_hours": 24 }'{ "flow": { "direction": "after", "edges": [ { "depth": 1, "from": "signup", "to": "project_created", "to_other": false, "users": 60 }, { "depth": 1, "from": "signup", "to": "", "to_other": true, "users": 20 } ], "event": "signup", "exclude": [], "levels": [ { "depth": 0, "nodes": [ { "dropoff": 20, "name": "signup", "other": false, "users": 100 } ] }, { "depth": 1, "nodes": [ { "dropoff": 10, "name": "project_created", "other": false, "users": 60 }, { "dropoff": 5, "name": "", "other": true, "users": 20 } ] } ], "observed_until": "2026-09-13T12:30:45Z", "open_window_users": 4, "steps": 2, "top_k": 5, "users": 100, "window_hours": 24 }}